body {
  margin: 0;
  padding: 0;
}

.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.app-container {
  position: relative;
  color: white; /* Set the text color to white */
}

.background-image {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url('https://c1.wallpaperflare.com/preview/213/380/893/counter-wooden-coffee-iced-coffee.jpg');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
  z-index: -1;
  opacity: 0.9; /* Adjust the opacity value as needed */
}


/* Login */

.register-link {
  color: orange;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}

/* Navbar */

.custom-navbar {
  position: fixed;
  top: 0;
  z-index: 1000; /* Add a higher z-index value */
  background-color: transparent;
}


.navbar-brand img {
  display: block;
  margin: 0;
/*  width: 100px;
  height: auto;*/
  width: 120px; 
  height: 50px; 
  object-fit: cover; 
  overflow: hidden; 
  }


.home-page {
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 100vh;
  padding-top: 2rem;
  text-align: center;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
  position: relative;
}

    @keyframes fadeIn {
      0% {
        opacity: 0;
        transform: translateY(20px);
        text-shadow: none;
      }
      100% {
        opacity: 1;
        transform: translateY(0);
        text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.4); /* Adjust the shadow properties as desired */
      }
    }

    .fade-in {
      animation: fadeIn 2s ease-in-out forwards;
    }


/* Scroll Down Icon Homepage */

.scroll-down-container {
  display: flex;
  justify-content: center;
  align-items: flex-start; /* Align items at the top */
  height: calc(100vh - 100px); /* Subtract the height of the heading and paragraph */
  padding-top: 25vh; /* Add padding top */
}


.scroll-down-icon {
  font-size: 24px;
  animation: bounce 2s infinite; /* Add animation */
  cursor: pointer; /* Add cursor pointer */
}


@keyframes bounce {
  0%, 20%, 50%, 80%, 100% {
    transform: translateY(0);
  }
  40% {
    transform: translateY(-10px);
  }
  60% {
    transform: translateY(-5px);
  }
}

/* Carousel Product Catalog */

.menu-heading {
  color: #fff;
  text-align: center;
  font-size: 2rem;
/*  font-weight: bold;*/
  margin-bottom: 2rem;
  animation: bounce 3s infinite;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}

@keyframes bounce {
  0%, 100% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.2) translateY(-20px);
  }
}

.carousel-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
}

.carousel-image-container {
  width: 500px;
  height: 600px;
  margin: 0 auto;
  overflow: hidden;
}

.carousel-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 30px;
}

@media (max-width: 992px) {
  .carousel-container {
    justify-content: flex-start; /* Change justify-content to flex-start */
    padding-top: 4rem; /* Add padding-top to adjust the positioning */
    height: calc(100vh - 8rem); /* Subtract padding-top and padding-bottom */
  }

  .carousel-image-container {
    width: 80%;
    height: auto;
    max-height: 500px;
  }
}

.carousel-caption {
  background-color: rgba(0, 0, 0, 0.5);
  color: #fff;
  padding: 1rem;
  text-align: center;
  border-radius: 10px; 

}

.carousel-caption h3 {
  font-size: 1.5rem;
  margin-bottom: 0.5rem;
}

.carousel-caption p {
  font-size: 1rem;
  margin-bottom: 0.5rem;
}

/*.carousel-caption p:last-child {
  font-weight: bold;
}*/


/* End of Carousel  */


.login-container {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  height: 100vh;
}

.login-form {
  width: 100%;
  max-width: 400px; 
  margin-top: 4rem;
}


.register-container {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  height: 100vh;
}

.register-form {
  width: 100%;
  max-width: 400px; 
  margin-top: 4rem;
}

.table-container {
  display: flex;
  justify-content: center;
  opacity: 0.8;
  border-radius: 10px;
}

/* Products Card */

.card.dark-card {
  background-color: rgba(255, 255, 255, 0.8);
  padding: 20px;
  margin-bottom: 2rem;
  transition: transform 0.3s;
}

.card.dark-card:hover {
  transform: scale(1.1);
  /* Coffee color with opacity */
  background-color: rgba(161, 105, 65, 0.8);
}

.card.dark-card .card-title,
.card.dark-card .card-subtitle,
.card.dark-card .card-text {
  color: white;
}

.card.dark-card:not(:hover) .card-title,
.card.dark-card:not(:hover) .card-subtitle,
.card.dark-card:not(:hover) .card-text,
.card.dark-card:not(:hover) .btn {
  color: black;
}

.custom-text {
  opacity: 0.8;
  color: black;
}

/* Order History */

.card.order-history {
  background-color: rgba(255, 255, 255, 0.8);
  padding: 20px;
  margin-bottom: 3rem;
  transition: transform 0.3s;
}

.card.order-history:hover {
  transform: scale(1.1);
  /* Coffee color with opacity */
  background-color: rgba(161, 105, 65, 0.8);
}

.card.order-history .card-title,
.card.order-history .card-subtitle,
.card.order-history .card-text {
  color: white;
}

.card.order-history:not(:hover) .card-title,
.card.order-history:not(:hover) .card-subtitle,
.card.order-history:not(:hover) .card-text,
.card.order-history:not(:hover) .btn {
  color: black;
}

@media (min-width: 768px) {
  .card.order-history {
    width: 60%;
  }
}

